jdbm.helper

## Class IterationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - jdbm.helper.WrappedRuntimeException
        - - jdbm.helper.IterationException

All Implemented Interfaces:
  Serializable

    public class IterationException
    extends WrappedRuntimeException

Iteration exception.

Author:
  Alex Boisvert
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IterationException(Exception except)` Construct a new iteration exception wrapping an underlying exception.
`IterationException(String message)` Construct a new iteration exception with a message.
`IterationException(String message, Exception except)` Construct a new iteration exception wrapping an underlying exception and providing a message.

### Method Summary

### Methods inherited from class jdbm.helper.WrappedRuntimeException

`getException, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IterationException

    public IterationException(String message,
                      Exception except)

Construct a new iteration exception wrapping an underlying exception and providing a message.

Parameters:
  `message` - The exception message
  `except` - The underlying exception

#### IterationException

    public IterationException(String message)

Construct a new iteration exception with a message.

Parameters:
  `message` - The exception message

#### IterationException

    public IterationException(Exception except)

Construct a new iteration exception wrapping an underlying exception.

Parameters:
  `except` - The underlying exception